#
# spec file for package qconf
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} >= 1310
%define with_qt5 1
%endif

%define version_unconverted 20171222.61ec953300

Name:           qconf
Url:            http://delta.affinix.com/qconf/
Version:        20171222.61ec953300
Release:        bp156.3.5
Summary:        Configuration tool for qmake
License:        GPL-2.0
Group:          Development/Tools/Other
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
%if 0%{?with_qt5}
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Xml)
%else
BuildRequires:  libqt4-devel
%endif
%if 0%{?suse_version} < 1310
BuildRequires:  xz
%endif

%description
QConf allows you to have a nice configure script for your qmake-based project.
It is intended for developers who don’t need (or want) to use the more complex
GNU autotools. With qconf/qmake, it is easy to maintain a cross-platform project
that uses a familiar configuration interface on unix.

%prep
%setup -q

%build
export QMAKE_CXXFLAGS="%{optflags}"
./configure --prefix=%{_prefix}
make %{?jobs:-j%jobs}

%install
make INSTALL_ROOT=%{buildroot} STRIP=true install

%files
%defattr(-,root,root)
%doc COPYING README.md TODO
%{_bindir}/qconf
%{_datadir}/%{name}

%changelog
* Sun Jan 14 2018 jslaby@suse.com
- Update to version 20171222.61ec953300:
  * bump to 2.4
  * update configure
  * fix for qt 5.10
  * Fix version in README
  * if non-required pkgconfig dependency is found, define HAVE_PKG_$PKGNAME
  * More careful packaging / avoid inclusion of *.o
  * Don't fail on recongnized options. Just show warning
  * Configure regenerated with new version
  * remove delta project references from readme
  * Fix configure on GNU Hurd
* Thu Apr 21 2016 jslaby@suse.com
- update to 20160309
  * drop qt3 support
  * better qt5 support
  * many small fixes
* Tue Sep 29 2015 jslaby@suse.com
- update to 20150608
  * fix paths by escaping
  * support multiple qt versions
  * add extraconf flag
* Thu Mar 19 2015 jslaby@suse.com
- update to 20150319.a00d71a09ddf
  * support qt5
  * some other fixes
* Sat Feb 19 2011 jslaby@suse.de
- Fix package summary
* Sun Jan  9 2011 jslaby@suse.de
- Initial package
